% Griglia
xspan=[0,1];
yspan=[0,1];
deltax=0.1;
deltay=0.1;
% Dati iniziali
ux1=@(y) 0;
ux2=@(y) 0;
uy1=@(x) sin(2*pi*x);
uy2=@(x) sin(2*pi*x);
f=@(x,y) 8*pi^2*sin(2*pi*x)*cos(2*pi*y);
uex=@(x,y) sin(2*pi*x)*cos(2*pi*y);
tol=0.0001;
[xh,yh,uh,niter]=poisson(xspan,yspan,deltax,deltay,...
ux1,ux2,uy1,uy2,f,tol);
% plot di uh
% surf(uh') (la trasposizione e' necessaria)
% Now a graph of the exact solution
[n,m]=size(uh);
uexh=zeros(n,m);
for i=1:n
  for j=1:m
    uexh(i,j)=uex(xh(i),yh(j));
  end
end
% Next instruction takes the maximum of all absolute values
% of the entries of the difference matrix 
max(max(abs(uh-uexh)))