xspan=[0,0.5];
tspan=[0,1];
a=1;
cfl=0.5;
ut0=@(x) 2*cos(4*pi*x)+sin(20*pi*x);
deltat=0.01;
uex=@(x,t) 2*cos(4*pi*(x-t))+sin(20*pi*(x-t));
ux0=@(t) 2*cos(4*pi*(-t))+sin(20*pi*(-t));
[xh,th,uh]=hyper(xspan,tspan,ut0,ux0,a,cfl,deltat);
% plot di uh
% surf(xh,th,uh)
% surf(uh) e' equivalente
% Now a graph of the exact solution
[n,m]=size(uh);
uexh=zeros(n,m);
for i=1:n
  for j=1:m
    uexh(i,j)=uex(xh(j),th(i));
  end
end
% Next instruction takes the maximum of all absolute values
% of the entries of the difference matrix 
max(max(abs(uh-uexh)))




